import React from 'react';

import BaseTabBar from '@/components/tab-bar';
import { PageType } from '@/constants/app';

import './index.less';

interface IProps extends React.PropsWithChildren {
  type: PageType;
}

export default function HomePage(props: IProps) {
  const { children, type } = props;

  return (
    <React.Fragment>
      {children}
      <BaseTabBar type={type} />
    </React.Fragment>
  );
}
